GCLOUD_COMPUTE_INSTANCES_START(1)

NAME

gcloud compute instances start - start a stopped virtual machine instance

SYNOPSIS

gcloud compute instances start INSTANCE_NAMES [INSTANCE_NAMES ...] [--csek-key-file=FILE] [--zone=ZONE] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
gcloud compute instances start is used to start a stopped Google Compute Engine virtual machine. Only a stopped virtual machine can be started.

POSITIONAL ARGUMENTS

    INSTANCE_NAMES [INSTANCE_NAMES ...]
        The names of the instances to operate on.

FLAGS

    --csek-key-file=FILE
        Path to a Customer-Supplied Encryption Key (CSEK) key file, mapping Google Compute Engine resources to user managed keys to be used when creating, mounting, or snapshotting disks. If you pass - as value of the flag the CSEK will be read from stdin. See https://cloud.google.com/compute/docs/disks/customer-supplied-encryption for more details.

    --zone=ZONE
        The zone of the instances to operate on. If not specified, you may be prompted to select a zone. gcloud will attempt to identify the zone by searching for resources in your project. If the zone cannot be determined, you will then be prompted with all Google Cloud Platform zones. To avoid prompting when this flag is omitted, you can set the compute/zone property:
        $ gcloud config set compute/zone ZONE
    A list of zones can be fetched by running:
        $ gcloud compute zones list
    To unset the property, run:
        $ gcloud config unset compute/zone
    Alternatively, the zone can be stored in the environment variable CLOUDSDK_COMPUTE_ZONE.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.